<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kb_table_s Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structkb__table__s.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">kb_table_s Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for kb_table_s:</div>
<div class="dyncontent">
<div class="center"><img src="structkb__table__s__coll__graph.png" border="0" usemap="#kb__table__s_coll__map" alt="Collaboration graph"/></div>
<map name="kb__table__s_coll__map" id="kb__table__s_coll__map">
<area shape="rect" id="node2" href="structkb__symbol__s.html" title="{kb_symbol_s\n|+ name\l+ type\l+ alloc\l+ value\l|}" alt="" coords="5,6,101,127"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3bdb8868e06e2e01cce4bc7e838b60aa"><td class="memItemLeft" align="right" valign="top">pthread_mutex_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__table__s.html#a3bdb8868e06e2e01cce4bc7e838b60aa">lock</a></td></tr>
<tr class="separator:a3bdb8868e06e2e01cce4bc7e838b60aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9f2f0aeb6d03d010b36c7b5b2e1085"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__table__s.html#a5f9f2f0aeb6d03d010b36c7b5b2e1085">symbols</a> [<a class="el" href="kb__symbol_8h.html#a719ac8df004a04fedb004d16603c212d">KB_SYMBOL_TABLE_SIZE</a>]</td></tr>
<tr class="separator:a5f9f2f0aeb6d03d010b36c7b5b2e1085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ccc88cf6bdf0cfcd92cf598dcfeaaf9"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structkb__table__s.html#a6ccc88cf6bdf0cfcd92cf598dcfeaaf9">count</a></td></tr>
<tr class="separator:a6ccc88cf6bdf0cfcd92cf598dcfeaaf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="kb__symbol_8h_source.html#l00053">53</a> of file <a class="el" href="kb__symbol_8h_source.html">kb_symbol.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a6ccc88cf6bdf0cfcd92cf598dcfeaaf9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int kb_table_s::count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="kb__symbol_8h_source.html#l00057">57</a> of file <a class="el" href="kb__symbol_8h_source.html">kb_symbol.h</a>.</p>

<p>Referenced by <a class="el" href="kb__symbol_8c_source.html#l00128">kb_add_symbol()</a>, <a class="el" href="kb__symbol_8c_source.html#l00042">kb_create_symbol_table()</a>, and <a class="el" href="kb__symbol_8c_source.html#l00067">kb_destroy_symbol_table()</a>.</p>

</div>
</div>
<a class="anchor" id="a3bdb8868e06e2e01cce4bc7e838b60aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pthread_mutex_t kb_table_s::lock</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="kb__symbol_8h_source.html#l00055">55</a> of file <a class="el" href="kb__symbol_8h_source.html">kb_symbol.h</a>.</p>

<p>Referenced by <a class="el" href="kb__symbol_8c_source.html#l00128">kb_add_symbol()</a>, <a class="el" href="kb__symbol_8c_source.html#l00042">kb_create_symbol_table()</a>, and <a class="el" href="kb__symbol_8c_source.html#l00067">kb_destroy_symbol_table()</a>.</p>

</div>
</div>
<a class="anchor" id="a5f9f2f0aeb6d03d010b36c7b5b2e1085"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__symbol_8h.html#a647437c15fb294570321ffda732a34bb">kb_symbol_t</a>* kb_table_s::symbols[<a class="el" href="kb__symbol_8h.html#a719ac8df004a04fedb004d16603c212d">KB_SYMBOL_TABLE_SIZE</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="kb__symbol_8h_source.html#l00056">56</a> of file <a class="el" href="kb__symbol_8h_source.html">kb_symbol.h</a>.</p>

<p>Referenced by <a class="el" href="kb__symbol_8c_source.html#l00128">kb_add_symbol()</a>, <a class="el" href="kb__symbol_8c_source.html#l00042">kb_create_symbol_table()</a>, <a class="el" href="kb__symbol_8c_source.html#l00067">kb_destroy_symbol_table()</a>, <a class="el" href="kb__symbol_8c_source.html#l00192">kb_dump_symbol_table()</a>, and <a class="el" href="kb__symbol_8c_source.html#l00165">kb_lookup_symbol()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="kb__symbol_8h_source.html">kb_symbol.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structkb__table__s.html">kb_table_s</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:20 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
